"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runAsyncInPipe = void 0;
function runAsyncInPipe(asyncFns, args) {
    return asyncFns.reduce((promise, fn) => {
        return promise.then(fn);
    }, Promise.resolve(args));
}
exports.runAsyncInPipe = runAsyncInPipe;
exports.default = runAsyncInPipe;
